// Chatbot functionality
const chatbotToggle = document.getElementById('chatbot-toggle');
const chatbotContainer = document.getElementById('chatbot-container');
const chatbotInput = document.getElementById('chatbot-input');
const chatbotMessages = document.querySelector('.chatbot-messages');

chatbotToggle.addEventListener('click', () => {
  chatbotContainer.classList.toggle('hidden');
});

const responses = {
  'hours': 'We are open 24/7, 365 days a year.',
  'security': 'We provide 24/7 security with CCTV surveillance and on-site security personnel.',
  'facilities': 'We offer clean ablution facilities, secure parking, and comfortable rest areas.',
  'location': 'We are located at [Address]. Click the "Get Directions" button for navigation.',
};

chatbotInput.addEventListener('keypress', (e) => {
  if (e.key === 'Enter') {
    const question = chatbotInput.value.toLowerCase();
    const response = getResponse(question);
    addMessage('You: ' + chatbotInput.value);
    addMessage('Bot: ' + response);
    chatbotInput.value = '';
  }
});

function getResponse(question) {
  for (const [key, value] of Object.entries(responses)) {
    if (question.includes(key)) {
      return value;
    }
  }
  return "I'm sorry, I don't understand. Please ask about our hours, security, facilities, or location.";
}

function addMessage(message) {
  const messageElement = document.createElement('p');
  messageElement.textContent = message;
  chatbotMessages.appendChild(messageElement);
  chatbotMessages.scrollTop = chatbotMessages.scrollHeight;
}

// Map functionality
function openMap() {
  // Replace with actual coordinates and implementation
  window.open('https://maps.google.com?q=your-coordinates-here');
}

// Smooth scroll for navigation
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});